#include <stdint.h>
#include <lpc1768.h>
#include <core_cm3.h>
#include <system_lpc1768.h>
#include <pconp.h>
#include <pcb.h>
#include <rtc.h>

__inline static void Set_RTC_Base_Config(void)
{
	Enable_RTC_Clock();
}

__inline static void Set_RTC_Core_Config(void)
{
	//Set the RTC CTC Reset
	Set_RTC_CTC_Reset();
	
	//Clear the RTC CTC Reset
	Clr_RTC_CTC_Reset();
	
	//Disable RTC Calibration
	Disable_RTC_Calibration();
	
	//Enable RTC timer counters
	Enable_RTC_Counters();
	
	//Initialize the timer counter registers
	Update_RTC_Sec(59);
  Update_RTC_Min(59);
	Update_RTC_Hour(13);
	
	//Disable Internal clock to Enable external quartz crystal
	//Disable_RTC_Clock();
	
}

uint16_t rtc_params[8],temp_12;
void Read_RTC_Parameters(void)
{
	rtc_params[0]=Get_RTC_Sec();
	rtc_params[1]=Get_RTC_Min();
	temp_12=Get_RTC_Hour();
	Set_24H_to_12H_time();
	rtc_params[2]=temp_12;
	
}

void Set_24H_to_12H_time(void)
{
	if(Get_RTC_Hour()>12)
	{
		temp_12-=12;
	}
}
void Init_RTC(void)
{
	Set_RTC_Base_Config( );
	Set_RTC_Core_Config( );
}
